The 'mutool info' command shows info about the objects on pages in input file. For each page the page object number is shown and then detailed information about the desired objects.

    mutool info [options] input [pages]

The command line options are:

input
  Input PDF file name.
[pages]
  Comma separated list of page ranges. The first page is "1", and the last page is "N". The default is "1-N".
-p password
  Password to use for password protected PDF documents.

-F
  List fonts used (name and object number).
-I
  List images used (compression, size, bit depth, colorspace and object number).
-M
  List page sizes used.
-P
  List patterns used (type, pattern dictionary object numbers).
-S
  List shading used (type and shading dictionary object number).
-X
  List form and postscript objects used (type and shading dictionary object number).